package domain

import (
	"topsdk/util"
)

type AlibabaWdkCouponTemplateCreateCouponTemplateApplyLimitConfig struct {
	/*
	   优惠券最后能领取时间(超过这个时间，优惠券不能领取)     */
	ApplyEndTime *util.LocalTime `json:"apply_end_time,omitempty" `

	/*
	   优惠券每日限领数（-1表示不限制） defalutValue:-1    */
	CouponDailyLmt *int64 `json:"coupon_daily_lmt,omitempty" `

	/*
	   优惠券总数（-1表示不限制）     */
	CouponTotalLmt *int64 `json:"coupon_total_lmt,omitempty" `

	/*
	   每人每日限领（-1表示不限制）     */
	PersonalDailyLmt *int64 `json:"personal_daily_lmt,omitempty" `

	/*
	   个人总领取限制数量（-1表示不限制）     */
	PersonalLmt *int64 `json:"personal_lmt,omitempty" `

	/*
	   优惠券最早能领取时间(在这时间之前，优惠券不能领取)     */
	ApplyStartTime *util.LocalTime `json:"apply_start_time,omitempty" `
}

func (s *AlibabaWdkCouponTemplateCreateCouponTemplateApplyLimitConfig) SetApplyEndTime(v util.LocalTime) *AlibabaWdkCouponTemplateCreateCouponTemplateApplyLimitConfig {
	s.ApplyEndTime = &v
	return s
}
func (s *AlibabaWdkCouponTemplateCreateCouponTemplateApplyLimitConfig) SetCouponDailyLmt(v int64) *AlibabaWdkCouponTemplateCreateCouponTemplateApplyLimitConfig {
	s.CouponDailyLmt = &v
	return s
}
func (s *AlibabaWdkCouponTemplateCreateCouponTemplateApplyLimitConfig) SetCouponTotalLmt(v int64) *AlibabaWdkCouponTemplateCreateCouponTemplateApplyLimitConfig {
	s.CouponTotalLmt = &v
	return s
}
func (s *AlibabaWdkCouponTemplateCreateCouponTemplateApplyLimitConfig) SetPersonalDailyLmt(v int64) *AlibabaWdkCouponTemplateCreateCouponTemplateApplyLimitConfig {
	s.PersonalDailyLmt = &v
	return s
}
func (s *AlibabaWdkCouponTemplateCreateCouponTemplateApplyLimitConfig) SetPersonalLmt(v int64) *AlibabaWdkCouponTemplateCreateCouponTemplateApplyLimitConfig {
	s.PersonalLmt = &v
	return s
}
func (s *AlibabaWdkCouponTemplateCreateCouponTemplateApplyLimitConfig) SetApplyStartTime(v util.LocalTime) *AlibabaWdkCouponTemplateCreateCouponTemplateApplyLimitConfig {
	s.ApplyStartTime = &v
	return s
}
